@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');  
@import "tailwindcss";
  #mainHeader,
#mobilenavMenu{
  transition: transform 0.4s ease;
  will-change: transform;
}

html {
  font-family: "Poppins", sans-serif !important;
  font-size: 16px;
  -webkit-text-size-adjust: 100%;
}

body {
  font-family: inherit;
  font-weight: 400;
  font-style: normal;
  margin: 0;
}
.container{
  margin: auto;
  overflow-x: hidden;
}
h1, h2, h3, h4, h5, h6{
    font-weight: 600 ;
}

.body-overlay{
  overflow:hidden;
}
.body-overlay::before {
  content: "";
  position: fixed;
  top: 0;
  left: 0;
  right: 0; 
  bottom: 0;
  background: rgb(0 0 0);
  z-index: 9; 
  pointer-events: none;
} 

li::marker {
  color: #fff; 
}
li:hover::marker {
  color: #FF6600;
}
 
/* animated border layer */
.custom_btn::before {
  content: "";
  position: absolute;
  inset: 0;
  padding: 1px; 
  border-radius: 5px;
  background: linear-gradient(
    90deg,
    #ffffff,
    transparent,
    #ffffff,
    transparent
  );
  background-size: 300% 100%;
  animation: runBorder 12s linear infinite;
  -webkit-mask:
    linear-gradient(#ffffff 0 0) content-box,
    linear-gradient(#ffffff 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  z-index: -1;
}

/* moving line animation */
@keyframes runBorder {
  0% {
    background-position: 0% 50%;
  }
  100% {
    background-position: 300% 50%;
  }
}

/* all_web_btn */
.custom_btn.bg { 
  background:
    linear-gradient(90deg, #EFE9E4, #EFE9E4) padding-box,
    linear-gradient(90deg, #ffffff, transparent, #ffffff) border-box;
  background-size: 200% 200%;
  animation: bgMove 5s linear infinite;
}

@keyframes bgMove {
  0% {
    background-position: 0% 50%, 0% 50%;
  }
  100% {
    background-position: 100% 50%, 100% 50%;
  }
}
/* end */

/* home_sectionmarquee */
@media(max-width: 1199px){
  .marquee { 
  animation: marquee 10s linear infinite;
}

@keyframes marquee {
  0% {
    transform: translateX(0%);
  }
  100% {
    transform: translateX(-100%);
  }
}
}
/* end */

/* header_sticky */

header {
  will-change: transform;
}
.scrolled {
    background: linear-gradient(90deg, #371A1B, #141430, #020305);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
}
/* end */


/*  home_page_Industries We Serve */

.no-scrollbar::-webkit-scrollbar { display: none; }
.no-scrollbar { -ms-overflow-style: none; scrollbar-width: none; }

/* header_ Industries We Serve_drop*/

.group-card {
  @apply bg-white/5 p-2 rounded-xl border border-gray-700
  transition-transform duration-300 ease-out
  hover:-translate-y-1 hover:shadow-lg hover:border-gray-500
  will-change-transform;
}

/* bg_line */
.grid-bg::before {
    content: '';
    position: absolute;
    inset: 0;
    background-image: 
        linear-gradient(rgba(0, 100, 255, 0.04) 1px, transparent 1px), 
        linear-gradient(90deg, rgba(0, 100, 255, 0.04) 1px, transparent 1px);
    background-size: 48px 48px;
    pointer-events: none;
}


.vertical-animated-lines {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  pointer-events: none;
}

.vertical-animated-lines ul {
  display: flex;
  justify-content: space-between;
  padding: 0 100px;
  gap: 40px;
  height: 100%;
  margin: 0;
  list-style: none;
}

.vertical-animated-lines li {
  width: 1px;
  height: 100%;
  position: relative;
}

.vertical-animated-lines li::before {
  content: "";
  position: absolute;
  height: 100%;
  width: 1px;
  background: linear-gradient(
    180deg,
    rgba(255,255,255,0),
    rgba(255,255,255,0.3),
    rgba(255,255,255,0.3)
  );
  opacity: 0.15;
}

.vertical-animated-lines li::after {
  content: "";
  position: absolute;
  top: -30px;
  left: 0;
  width: 100%;
  height: 30px;
  animation: run 6s cubic-bezier(.4,.26,0,.97) infinite;
}

/* Animation */
@keyframes run {
  0% { transform: translateY(0); }
  100% { transform: translateY(100vh); }
}

/* COLORS (SAME AS YOUR DESIGN) */
.vertical-animated-lines li:nth-child(1)::after {
  animation-delay: 0s;
  background: linear-gradient(to bottom, transparent, #FF9F0A);
}

.vertical-animated-lines li:nth-child(2)::after {
  animation-delay: 0.4s;
  background: linear-gradient(to bottom, transparent, #41C979);
}

.vertical-animated-lines li:nth-child(3)::after {
  animation-delay: 0.8s;
  background: linear-gradient(to bottom, transparent, #0A84FF);
}

.vertical-animated-lines li:nth-child(4)::after {
  animation-delay: 1.2s;
  background: linear-gradient(to bottom, transparent, #8569FF);
}

.vertical-animated-lines li:nth-child(5)::after {
  animation-delay: 1.6s;
  background: linear-gradient(to bottom, transparent, #D04479);
}

.vertical-animated-lines li:nth-child(6)::after {
  animation-delay: 2s;
  background: linear-gradient(to bottom, transparent, #FFD700);
}

.vertical-animated-lines li:nth-child(7)::after {
  animation-delay: 2.4s;
  background: linear-gradient(to bottom, transparent, #FF3B30);
}

.vertical-animated-lines li:nth-child(8)::after {
  animation-delay: 2.8s;
  background: linear-gradient(to bottom, transparent, #00FFFF);
}

.vertical-animated-lines li:nth-child(9)::after {
  animation-delay: 3.2s;
  background: linear-gradient(to bottom, transparent, #20C997);
}

.vertical-animated-lines li:nth-child(10)::after {
  animation-delay: 3.6s;
  background: linear-gradient(to bottom, transparent, #6610f2);
}

.vertical-animated-lines li:nth-child(11)::after {
  animation-delay: 4s;
  background: linear-gradient(to bottom, transparent, #EC8F00);
}

.vertical-animated-lines li:nth-child(12)::after {
  animation-delay: 4.4s;
  background: linear-gradient(to bottom, transparent, #30B868);
}

.vertical-animated-lines li:nth-child(13)::after {
  animation-delay: 4.8s;
  background: linear-gradient(to bottom, transparent, #0078F0);
}

.vertical-animated-lines li:nth-child(14)::after {
  animation-delay: 5.2s;
  background: linear-gradient(to bottom, transparent, #C9306A);
}